function eval_filter(N)
omega_lp = 0.15
omega_hp = 0.05

omega_bp_m = 0.02;
bw2_bp = 0.02;

lp = lowpass(N, omega_lp, 1.0);
coef_lp = hann(N)'.*lp./sum(lp.^2);

hp = lowpass(N, 0.5-omega_hp, 1.0).*cos(pi*(0:N-1));
coef_hp = hp./sum(hp.^2).*hann(N)';

bp = lowpass(N, bw2_bp/2, 1.0).*cos(2*pi*omega_bp_m*(0:N-1));
coef_bp = bp./sum(bp.^2).*hann(N)';

abs_lp = 20*log10(abs(fft(coef_lp)));
abs_hp = 20*log10(abs(fft(coef_hp)));
abs_bp = 20*log10(abs(fft(coef_bp)));

close all;
plot((0:N/2)/N, abs_lp(1:N/2+1));grid;
figure
plot((0:N/2)/N, abs_hp(1:N/2+1));grid;
figure
plot((0:N/2)/N, abs_bp(1:N/2+1));grid;

figure
plot((0:N-1), coef_lp);grid;
figure
plot((0:N-1), coef_hp);grid;
figure
plot((0:N-1), coef_bp);grid;

mean_lp = mean(coef_lp-mean(coef_lp))
mean_hp = mean(coef_hp)
mean_bp = mean(coef_bp)
